### Signal

# Gtk Notebook::reorder-tab

#### Declaration

    gboolean
    reorder_tab (
      GtkNotebook* self,
      GtkDirectionType direction,
      gboolean move_to_last,
      gpointer user_data
    )

#### Description [src]

Emitted when the tab should be reordered.

The default bindings for this signal are `Alt`+`Home`, `Alt`+`End`, `Alt`+`PgUp`, `Alt`+`PgDn`, `Alt`+`←`, `Alt`+`→`, `Alt`+`↑` and `Alt`+`↓`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code

#### Parameters

`direction`

  Type: `GtkDirectionType`

  The direction to move the tab.

`move_to_last`

  Type: `gboolean`

  Whether to move to the last position.

#### Return value

Type: `gboolean`

Whether the tab was moved.